:root {
    --gren: rgb(83, 194, 139);
    --blue: rgb(63, 75, 150)
}

.main-propertie {
    position: relative;
    height: auto;
}

.section-propertie {
    height: auto;
    display: flex;
    flex-direction: column;
    margin-bottom: 0;
}

.imoveis-container {
    width: 100%;
    height: 100%;
    display: flex;
    position: relative;
    flex-direction: column;
}

.imovel-container {
    height: auto;
    display: flex;
    flex-direction: row;
    margin: 80px auto;
}

.margin-gradient {
    padding: 1px;
    width: 340px;
    height: 480px;
    background: linear-gradient(var(--blue), var(--gren));
    box-shadow: 4px 2px 5px 1px rgba(0, 0, 0, 0.4);
}

.infos-container {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    background: white;
    border-spacing: initial;
}

.propertie-items {
    font-weight: 400;
    font-size: 13px;
    line-height: 19px;
    padding: 0 20px;
}

.propertie-name {
    font-weight: 400;
    font-size: 24px;
    text-transform: uppercase;
    color: #3F4A96;

    margin-top: 30px;
}

.propertie-city {
    font-weight: 400;
    font-size: 14px;
    text-transform: uppercase;
    color: #000000;
}

.propertie-value {
    justify-content: end;
    font-weight: 400;
    font-size: 22px;
    text-transform: uppercase;
    color: #53C28B;

    margin: 20px 0;
}

.imoveis-name {
    font-size: 50px;
}

.imoveis-name-container {
    margin: 100px 0 100px 150px;
}

.name-green {
    color: var(--gren)
}

.image-square {
    background: linear-gradient(var(--blue), var(--gren));
    position: relative;
    top: -80px;
    left: 40px;
    border: 40px;
    width: 640px;
    height: 540px;
    padding: 4px;
}

.image-container {
    width: 100%;
    height: 100%;
    background: white;
}

.propertie-img {
    position: relative;
    top: 40px;
    left: -45px;
    width: 640px;
    height: 540px;
    object-fit: cover;
}

.cidade {
    object-fit: cover;
    width: 100%;
    height: 120vh;
    overflow: hidden;
}

.gradient-cidade {
    position: absolute;
    width: 100%;
    height: 120vh;
    opacity: 0.5;
    background-image: linear-gradient(to right, var(--gren), var(--blue));
}

.grafico {
    position: absolute;
    height: 70%;
}

@media (max-width: 1650px) {
    .grafico {
        top: 120px;
        height: 50%;
    }
}

@media (max-width: 1200px) {
    .grafico {
        top: 150px;
        height: 30%;
    }
}

@media (max-width: 750px) {
    .grafico {
        top: 150px;
        height: 20%;
    }
}

@media (max-width: 500px) {
    .grafico {
        top: 180px;
        height: 15%;
    }
}

.grafico-inverso {
    transform: rotateY(180deg);
    right: 0;
}

.title-imoveis {
    justify-self: center;
    position: absolute;
    top: 220px;
    font-weight: 500;
    font-size: 60px;
    text-transform: uppercase;

    color: #FFFFFF;
}

.alugarcomprar-container {
    justify-self: center;
    position: absolute;
    top: 340px;

    font-weight: 400;
    font-size: 18px;
    text-transform: uppercase;
    display: flex;
    gap: 10px;
}

.alugar {
    color: white;
}

.comprar {
    color: rgba(255, 255, 255, 0.42);
}

.green-bar {
    position: relative;
    top: -3px;
    width: 2px;
    height: 25px;
    background-color: var(--gren);
}

/*---------- Filtro ---------*/

.filtro-container {
    display: grid;
    height: auto;
    width: 100%;
    position: relative;
}

.seta {
    width: 10px;
    padding: 5px;
    margin-left: 20px;
}

.input-white {
    padding: 20px 25px;
    background-color: white;
    display: flex;
    flex-direction: row;
}
.input-filtro{
    width: 30%;
    min-width: 170px;
    position: relative;
}

.input-valor-inside {
    width: 100px;
    margin-left: 10px;
}

.input-search {
    width: 100%;
    color: white;
    padding: 15px 35px;
    border: solid 5px;
    border-color: var(--gren);
    background: transparent;
}

.input-search:hover {
    background-color: var(--gren);
    color: white;
    cursor: pointer;
}

.filtro-header {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    row-gap: 25px;
}

.filtro-inputs {
    padding: 20px 20px 0 20px;
    margin-top: 10px;
    width: 100%;
    background-color: #fff;
    display: flex;
    box-sizing: border-box;

    justify-content: space-between;
    flex-wrap: wrap;
}

.filtro {
    margin-top: 380px;
    justify-self: center;
    width: 1010px;
    position: absolute;
    justify-self: center;
}

/*---------------- input range --------------------*/

.range-container {
    display: flex;
    flex-direction: column;
    margin-right: 20px;
}

input[type=range] {
    height: 20px; /* altura que utiliza */
    -webkit-appearance: none;
    margin: 10px 0;
    width: 140px;
}

input[type=range]:focus {
    outline: none;
}

input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 8px;
    cursor: pointer;
    animate: 0.2s;
    /* box-shadow: 1px 1px 1px #000000; */
    background: var(--blue);
    border-radius: 1px;
    /* border: 0px solid #010101; */
}

input[type=range]::-webkit-slider-thumb { /* Quadrado do input */
    box-shadow: 0px 1px 1px var(--gren);
    border: 1px solid var(--gren);
    height: 20px;
    width: 20px;
    border-radius: none;
    background: #FFFFFF;
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -7px;
}

input[type=range]:focus::-webkit-slider-runnable-track {
    background: var(--blue);
}

input[type=range]::-moz-range-track {
    width: 100%;
    height: 11px;
    cursor: pointer;
    /* animate: 0.2s;
    box-shadow: 1px 1px 1px #000000; */
    background: var(--blue);
    border-radius: 1px;
    /* border: 0px solid #010101; */
}

input[type=range]::-moz-range-thumb {
    /* box-shadow: 1px 1px 1px #000031;
    border: 1px solid #00001E; */
    height: 26px;
    width: 26px;
    border-radius: 15px;
    background: #FFFFFF;
    cursor: pointer;
}

input[type=range]::-ms-track {
    width: 100%;
    height: 11px;
    cursor: pointer;
    animate: 0.2s;
    background: transparent;
    border-color: transparent;
    color: transparent;
}

input[type=range]::-ms-fill-lower {
    background: var(--blue);
    /* border: 0px solid #010101; */
    border-radius: 2px;
    /* box-shadow: 1px 1px 1px #000000; */
}

input[type=range]::-ms-fill-upper {
    background: #727272;
    border: 0px solid #010101;
    border-radius: 2px;
    box-shadow: 1px 1px 1px #000000;
}

input[type=range]::-ms-thumb {
    margin-top: 1px;
    box-shadow: 1px 1px 1px #000031;
    border: 1px solid #00001E;
    height: 26px;
    width: 26px;
    border-radius: 15px;
    background: #FFFFFF;
    cursor: pointer;
}

input[type=range]:focus::-ms-fill-lower {
    background: var(--blue);
}

/* input[type=range]:focus::-ms-fill-upper {
  background: #74A9D8;
}*/

input[type=range]::-ms-fill-upper {
    background: #ccc;
}

#resultadoTempoReal {
    margin-left: 60px;
}

.bloco-input {
    box-shadow: 0px 1px 1px var(--gren);
    border: 1px solid var(--gren);
    height: 18px;
    width: 18px;
    margin-top: 9px;
    background: #FFFFFF;
}

.input-range-container {
    display: flex;
}

.input-label-container {
    margin-left: 10px;
}

/* ------------------------------ */
.radio-input {
    all: unset;
    position: relative;
    display: inline-block;
    width: 20px;
    height: 20px;
    background: var(--gren);
    cursor: pointer;
    color: white;
    margin-right: 5px;
}


.radio-input.radio1::before {
    margin-left: 7px;
    content: "1";
}

.radio-input.radio2::before {
    margin-left: 7px;
    content: "2";
}

.radio-input.radio3::before {
    margin-left: 7px;
    content: "3";
}

.radio-input.radio4::before {
    margin-left: 2px;
    content: "4+";
}

.radio-input.radio1:checked::after {
    position: relative;
    left: -7.9px;
    content: "1";
}

.radio-input.radio2:checked::after {
    position: relative;
    left: -7.9px;
    content: "2";
}

.radio-input.radio3:checked::after {
    position: relative;
    left: -7.9px;
    content: "3";
}

.radio-input.radio4:checked::after {
    position: relative;
    left: -15.9px;
    content: "4+";
}

.radio-input:checked::after {
    color: var(--blue);
}

/* ------------- input checkbox ------------- */

input[type="checkbox"] {
    appearance: none;
    background-color: #fff;
    margin: 0;
    font: inherit;
    color: var(--blue);
    width: 1.15em;
    height: 1.15em;
    border: 0.15em solid var(--blue);
    transform: translateY(-0.075em);
}

input[type="checkbox"]:checked {
    border: 0.15em solid var(--gren);
}

input[type="checkbox"] {
    /* Add if not using autoprefixer */
    -webkit-appearance: none;
    appearance: none;
    /* For iOS < 15 to remove gradient background */
    background-color: #fff;
    /* Not removed via appearance */
    margin: 0;
}

input[type="checkbox"] {
    /* ...existing styles */

    display: grid;
    place-content: center;
}

input[type="checkbox"]::before {
    content: "";
    width: 0.65em;
    height: 0.65em;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em var(--form-control-color);
}

input[type="checkbox"] {
    /* ...existing styles */
    display: grid;
    place-content: center;
}

input[type="checkbox"]::before {
    content: "";
    width: 0.65em;
    height: 0.65em;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em var(--form-control-color);
}

input[type="checkbox"]:checked::before {
    transform: scale(1);
}

input[type="checkbox"]::before {
    /* ...existing styles */

    /* Windows High Contrast Mode */
    background-color: CanvasText;
}

input[type="checkbox"]::before {
    /* ...existing styles */
    background-color: var(--blue);
    transform-origin: bottom left;
    clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
}

/* ----------------------------------- Segundo Input ---------------------------------------*/

input[type="checkbox"].white-input {
    appearance: none;
    background-color: transparent;
    margin: 0;
    font: inherit;
    color: var(--blue);
    width: 1.15em;
    height: 1.15em;
    border: 0.15em solid white;
    transform: translateY(-0.075em);
}

input[type="checkbox"].white-input:checked {
    border: 0.15em solid var(--gren);
}

input[type="checkbox"].white-input {
    /* Add if not using autoprefixer */
    -webkit-appearance: none;
    appearance: none;
    /* For iOS < 15 to remove gradient background */
    background-color: transparent;
    /* Not removed via appearance */
    margin: 0;
}

input[type="checkbox"].white-input {
    /* ...existing styles */

    display: grid;
    place-content: center;
}

input[type="checkbox"].white-input::before {
    content: "";
    width: 0.65em;
    height: 0.65em;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em var(--form-control-color);
}

input[type="checkbox"].white-input {
    /* ...existing styles */
    display: grid;
    place-content: center;
}

input[type="checkbox"].white-input::before {
    content: "";
    width: 0.65em;
    height: 0.65em;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em var(--form-control-color);
}

input[type="checkbox"].white-input:checked::before {
    transform: scale(1);
}

input[type="checkbox"].white-input::before {
    /* ...existing styles */

    /* Windows High Contrast Mode */
    background-color: CanvasText;
}

input[type="checkbox"].white-input::before {
    /* ...existing styles */
    background-color: white;
    transform-origin: bottom left;
    clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
}

/* ---------------*/

.gradient-bar {
    width: 4px;
    height: 40px;
    position: relative;
    bottom: 20px;
    background-image: linear-gradient(var(--gren), var(--blue));
    margin-left: 15px;
    margin-right: 20px;
}

.checkbox-container {
    display: flex;
    gap: 3px;
}

.label-checkbox {
    position: relative;
    top: -1px;
    margin-bottom: 20px;
}

.radio-container {
    display: flex;
    margin-top: 0px;
}

.container-input-subtypes {
    display: none;
    grid-template-columns: repeat(5, minmax(0, 1fr));
}

#open-button {
    display: block;
}

#close-button {
    display: none;
}

.button-filtro {
    background-color: transparent;
    justify-self: center;
    font-weight: 400;
    font-size: 18px;
    text-transform: capitalize;
    color: #FFFFFF;
    margin-top: 20px;
}

.button-filtro-container {
    display: grid;
}

.imovel-container-mobile {
    display: flex;
    flex-direction: column;
    margin: 20px auto;
    width: 100%;
    justify-content: center;
    justify-items: center;
    justify-self: center;
}

.centralize-carousel {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.image-container-mobile {
    width: 80%;
    height: 220px;
    box-shadow: 0 -4px 15px #00000070;
}

.propertie-img-mobile {
    position: relative;
    width: 300px;
    height: 220px;
    object-fit: cover;
}

.infos-container-mobile {
    width: 80%;
    min-height: 280px;
    display: flex;
    flex-direction: column;
    box-shadow: 2px 4px 15px #00000070;
}

.container-name-value {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
}

.propertie-description {
    font-size: 8px;
}

.selections {
    display: flex;
    position: absolute;
    top: 60px;
    width: 100%;
    background-color: var(--blue);
    margin: 0;
    z-index: 30;
    max-height: 35vh;
    /*min-height: 150px;*/
    overflow-y: scroll;
}

.selections::-webkit-scrollbar {
    width: 3px;
}

.selections::-webkit-scrollbar-track {
    background: var(--green);
}

.selections::-webkit-scrollbar-thumb {
    background: var(--white);
}

.triangulo {
    top: -50px;
    right: 25px;
    position: absolute;
    background-color: transparent;
    width: 0;
    height: 20px;
    border-top: solid 10px transparent;
    border-left: solid 10px transparent;
    border-right: solid 10px transparent;
    border-bottom: solid 20px var(--blue);
}

.blue-card {
    display: flex;
    flex-direction: column;
    font-weight: 400;
    font-size: 12px;
    text-transform: uppercase;
    color: #FFFFFF;
    padding: 20px 0;
    width: 100%;
    align-items: center;
}

.propertieSubType-container, .propertieType-container {
    gap: 20px;
}

.checkbox-container-bluecard {
    display: flex;
    gap: 3px;
    margin-left: 10px;
    margin-bottom: 10px;
}

.propertieType-name {
    margin: 0 auto;
}

.propertieType-name:hover {
    transform: translateY(-2px);
    color: var(--gren);
}

#TypeImovel, #SubTypeImovel, #Localizacao {
    display: none;
    position: relative;
    top: -60px;
    width: 100%;
}

#caract-imovel-button {
    display: none;
    text-align: start;
    width: 280px;
    margin: 10px auto;
}

.carousel-propertie-mobile {
    justify-content: center;
    margin: 0 auto;
}

#imoveis {
    margin-bottom: 50px;
    display: none;
}

.container-input-subtypes {
    display: none;
    justify-items: start;
    padding: 20px 20px 0 20px;
    width: 100%;
    box-sizing: border-box;
    background-color: white;
    margin-top: 10px;
}

.car-container {
    display: none;
    background-color: white;
    position: fixed;
    z-index: 60;
    overflow-y: scroll;
    overflow-x: hidden;
    top: 10vh;
    height: 90vh;
    width: 100%;
}

.background-blue {
    position: fixed;
    top: 0px;
    z-index: 70;
    width: 100%;
    height: 10vh;
    background-color: #3f4b9688;
}

.car-container::-webkit-scrollbar {
    display: none;
}

.filtros-gerais {
    display: flex;
    flex-direction: column;
    border-bottom: solid 2px rgb(230, 230, 230);
}

.filtros-especificos {
    display: flex;
    flex-direction: column;
}

.container-card-mobile {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin: 0 10px;
}

.filtros-title {
    margin: 20px auto;
    display: flex;
}

.plus {
    color: var(--gren);
    margin-left: 5px;
}

.button-container-car {
    display: flex;
    justify-content: end;
    margin: 10px 10px 50px 10px;
}

.button-car {
    margin: 10px;
    color: var(--blue);
    background-color: transparent;
    font-weight: 400;
    font-size: 12px;
}

.button-completa {
    position: relative;
    display: flex;
    border: 2px solid var(--gren);
    background-color: transparent;
    padding: 20px;
    margin: 20px auto 30px auto;

    color: var(--black);
    max-width: 50%;
    font-size: 15px;
    justify-content: center;
}

.button-completa:hover {
    background: var(--background-color-btn);
    border: 2px solid var(--white);
    color: var(--white);
}

.itens-button-container {
    width: 100%;
    margin-top: auto;
}

.itens-container {
    align-items: center;
    justify-content: space-evenly;
    margin-bottom: 10%;
    display: flex;
}

.item-container {
    display: flex;
    gap: 5px;
    font-size: 0.8rem;
    height: 17px;
}

.div-icon-slide {
    display: none;
}

.icon-text {
    margin-top: 5px;
}

.pagination {
    text-align: center;
    margin-bottom: 5%;
}

.filtros {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
}

.buy-property-checkbox-filters {
    text-align: center;
}

.buy-property-checkbox-filters {
    text-align: center;
}

.name-block-filters {
    color: var(--green);
    font-weight: 400;
    font-family: var(--font-buy);
    font-size: 1em;
    border: 2px solid var(--green);
    width: 30%;
    min-width: 170px;
    margin: 30px auto 15px auto;
    height: 50px;
    text-align: center;
    cursor: pointer;
    transition: 0.4s ease-out;
    display: flex;
    align-items: center;
    justify-content: center;
}

.buy-property-checkbox-filters > div {
    display: none;
    row-gap: 10px;
    flex-wrap: wrap;
    justify-content: flex-start;
    text-align: justify;
    background-color: #fff;
    padding-top: 15px;
}

.buy-property-checkbox-filters > div > div  {
    width: 20%;
    min-width: 120px;
    padding: 0 0px;
    display: block;
}


@media (max-width: 1100px) {
    .item-container {
        font-size: 0.8rem;
        width: 20px;
        flex-direction: column;
        align-items: center;
    }

    #imoveis {
        margin-bottom: 0;
    }

    .div-icon-slide {
        width: 100%;
        display: flex;
        justify-content: center;
        margin-bottom: 5%;
    }

    .icon-slide-property {
        display: initial;
        width: 4%;
        min-width: 30px;
    }

    .owl-dots {
        margin-bottom: 0;
    }

    .pagination {
        display: none;
    }

    .itens-container {
        margin-bottom: 20px;
    }



    .gradient-bar {
        display: none;
    }

    .label-checkbox {
        margin-bottom: 0;
    }

    .checkbox-container {
        margin-left: 10px;
        margin-bottom: 20px;
    }

    .radio-container {
        margin-bottom: 30px;
    }

    .range-container {
        grid-column-start: 1;
        grid-column-end: 3;
        margin: 0 auto 20px auto;
    }

    .filtro {
        width: 90%;
        margin-top: 280px;
    }

    .input-white {
        margin: 10px;
        justify-content: space-between;
        width: -webkit-fill-available
    }

    .imovel-container {
        display: none;
    }

    .propertie-name {
        font-size: 20px;
        margin-top: 10px;
        padding: 0 0 0 10px;
    }

    .propertie-city {
        font-size: 15px;
        padding: 0 0 0 10px;
    }

    .propertie-value {
        font-size: 20px;
        position: relative;
        top: -10px;
    }

    .propertie-description {
        padding: 5px 10px 10px 10px;
        font-size: 1rem;
        line-height: 1.4rem;
    }

    .button-completa {
        border: 2px solid var(--gren);
        padding: 6px 10px;
        font-size: 0.7rem;
        margin: 0;
        width: 15%;
    }

    .imoveis-name {
        font-size: 30px;
    }

    .imoveis-name-container {
        margin: 30px auto 10px auto;
    }

    input[type=range] {
        width: 200px;
    }

    #resultadoTempoReal {
        margin-left: 120px;
    }

    .input-label-container {
        margin-top: 10px;
    }

    .button-filtro-container {
        display: none;
    }

    .container-input-subtypes {
        display: none;
    }

    .selections {
        width: 230px;
        margin: -10px 10px;
    }

    #imoveis {
        display: block;
    }

    .itens-button-container {
        display: flex;
        flex-direction: row;
        margin: auto 0 10px 10px;
    }

    .itens-container {
        margin-top: 5px;
        gap: 20px;
        font-size: 10px;
        width: 100%;
    }

    /*.icon {*/
    /*    height: 20px;*/
    /*    margin-right: 2px;*/
    /*}*/

    .icon-text {
        margin-top: 3px;
    }

    .title-imoveis {
        top: 150px;
        font-size: 55px;
    }


}

@media (max-width: 960px){
    .input-filtro {
        width: 50%;
    }
    .filtro-header {
        row-gap: 0px;
    }
    .title-imoveis {
        top: 120px;
        font-size: 45px;
    }

    .filtro{
        margin-top: 200px;
    }
    .buy-property-checkbox-filters > div > div  {
        width: 20%;
    }

}

@media (max-width: 600px){
    .input-filtro {
        width: 100%;
    }

    .cidade, .gradient-cidade {
        height: 150vh;
    }

    .filtros{
        display: none;
    }

    #caract-imovel-button {
        display: flex;
        width: 240px;
    }
}

@media (max-width: 550px) {
    .button-completa {
        font-size: 0.6rem;
    }

    .propertie-name, .propertie-value {
        font-size: 1rem;
    }

    .propertie-city {
        font-size: 0.8rem;
    }

    .propertie-description {
        font-size: 0.75rem;
        line-height: 16px;
    }

    .cidade, .gradient-cidade {
        height: 140vh;
    }

    .filtro-header {
        display: flex;
        flex-direction: column;
        row-gap: 1px;
    }

    .filtro {
        width: 300px;
    }

    .input-especifico-container {
        display: none;
    }

    .radio-container {
        margin-top: 0;
    }

    .selections {
        margin: 10px;
        width: 280px;
    }

    #TypeImovel {
        display: none;
        position: absolute;
        top: 0;
    }

    #SubTypeImovel {
        display: none;
        position: absolute;
        top: 80px;
    }

    #Localizacao {
        display: none;
        position: absolute;
        top: 160px;
    }

    .title-imoveis {
        font-size: 40px;
    }

    .buy-property-checkbox-filters > div > div {
        display: 100%;
    }

}

@media (min-width: 1100px){

    .title-imoveis {
        top: 140px;
    }

    .filtro{
        margin-top: 220px;
    }

}

input[type=radio] {
    display: none;
}

input[type=radio]:checked+label {
    color: var(--gren);
}

input[type=radio]:checked+.radio-input {
    color: var(--black);
}

label, a {
    cursor: pointer;
}

.item {
    padding: 5px 13px;
    background-color: var(--gren);
    color: var(--white);
    transition: 0.1s ease-out;
    margin-right: 5px;
}

a.item:hover {
    padding-top: 20px;
    transition: 0.3s;
}

a.icon.item {
    display: none;
}

 .form-control, label, input::placeholder {
    line-height: 1.1;
}

.form-control, .is-focused .form-control {
    background-image: linear-gradient( to top, #2b4c6a 2px, rgba(43, 76, 106, 0) 2px ), linear-gradient(to top, #d2d2d2 1px, rgba(210, 210, 210, 0) 1px);
}
